{% extends "shuup/front/base.jinja" %}
{% from "shuup/front/macros/general.jinja" import render_field %}

{% block bodyclass %}register-page{% endblock %}

{% block navigation %}
    {{ render_navigation(show_quick_login=False) }}
{% endblock %}

{% block title %}{% trans %}Register{% endtrans %}{% endblock %}

{% block content %}
    <div class="condensed-content">
        <h1 class="page-header">
            {% trans %}Registration{% endtrans %}
        </h1>

        {% if shuup.general.is_company_registration_allowed() %}
            <p class="mt-4">
                <a class="text-underline" href="{{ url('shuup:registration_register_company') }}">
                    {% trans %}Register as a company{% endtrans %}
                </a>
            </p>
        {% endif %}

        <form method="post" class="registration-form mt-5">
            {% csrf_token %}
            {% for field in form.hidden_fields() %}{{ field|safe }}{% endfor %}
            <div class="flex-row">
                {% for field in form.visible_fields() %}
                    <div class="col">
                        {{ render_field(field, classes="custom-auth-input") }}
                    </div>
                {% endfor %}
            </div>

            <button type="submit" class="btn btn-white btn-lg-vertical btn-lg-horizontal mt-4">
                {% trans %}Register{% endtrans %}
            </button>
        </form>
    </div>
{% endblock %}
